<div class="container">
  <div class="m2Sys-box">
    <div class="row">
      <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="offset-4 col-lg-4 col-md-4 col-sm-12">
          <div class="form-inline">
            <div class="form-group">
              <label>Employee</label>
              <select name="select-emp-leave-employee" id="select-emp-leave-employee" class="form-control" [(ngModel)]="employeeId" (change)="getEmployeeLeaveCount();">
                <option *ngFor="let emp of employees" value={{emp.Id}}>
                  {{emp.Name}}
                </option>
              </select>
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="form-inline">
          <label for="select-row-number-to-show-emp-leave" class="label">Show</label>
          <select name="select-row-number-to-show-emp-leave" id="select-row-number-to-show-emp-leave" class="form-control" [(ngModel)]="rowNumberToShow" (change)="getEmployeeLeaveCount();">
            <option *ngFor="let rn of rowNumberListToShow" value={{rn}}>
              {{rn}}
            </option>
          </select>
          <label for="select-row-number-to-show" class="label">entries</label>
        </div>
      </div>
        <div class="col-lg-12 col-md-12 col-sm-12">
          <div class="form-inline">
            <div class="form-group">
              <label for="txt-emp-leave-search"></label>
              <input type="text" id="txt-emp-leave-search" name="txt-emp-search" class="form-control" [(ngModel)]="searchParam" />
              <button type="button" class="btn btn-primary" (click)="getEmployeeLeaveCount();">Search</button>
            </div>
            <div class="form-group float-right">
              <button class="btn btn-primary" (click)="navigateAddEmployeeLeave();">Add</button>
            </div>
          </div>
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12">
          <div class="table">
            <table class="table table-bordered table-responsive-md table-responsive-sm">
              <thead>
                <tr>
                  <th>
                    Leave Type
                  </th>
                  <th>
                    Description
                  </th>
                  <th>
                    Start Date
                  </th>
                  <th>
                    End Date
                  </th>
                  <th>
                    Action
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let empLeave of employeeLeaveList">
                  <td>{{empLeave.LeaveTypeName}}</td>
                  <td>{{empLeave.Description}}</td>
                  <td>{{empLeave.StartDate| date: "MM/dd/yyyy"}}</td>
                  <td>{{empLeave.EndDate| date: "MM/dd/yyyy"}}</td>
                  <td>
                    <button class="btn btn-primary" (click)="navigateEditEmployeeLeave(empLeave.Id)">Edit</button>
                    <button class="btn btn-danger" (click)="deleteEmployeeLeave(empLeave.Id)">Delete</button>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
          <div class="col-lg-12 col-md-12 col-sm-12">
            <button type="button" class="btn btn-primary float-left" (click)="onPreviousClick();" *ngIf="pageNumber>1">Previous</button>
            <button type="button" class="btn btn-primary float-right" (click)="onNextClick();" *ngIf="pageNumber<totalPage">Next</button>
          </div>
        </div>
      </div>
    </div>
</div>
